Imports System.Data
Imports System.Data.SqlClient
Imports NTierDemo.StateClasses
Imports NTierDemo.DAL

Public Class CustomerBOLActions

    Public Shared Function Insert(ByVal c As CustomerState) As Integer
        If CustomerDALActions.IsExists(c.CustomerID) Then
            Throw New Exception("Customer does not exist")
        End If
        Return CustomerDALActions.Insert(c)
    End Function

    Public Shared Function Update(ByVal c As CustomerState) As Integer
        If Not CustomerDALActions.IsExists(c.CustomerID) Then
            Throw New Exception("Customer does not exist")
        End If
        Return CustomerDALActions.Update(c)
    End Function

    Public Shared Function Delete(ByVal custid As String) As Integer
        Return CustomerDALActions.Delete(custid)
    End Function

    Public Shared Function SelectAll() As DataSet
        Return CustomerDALActions.SelectAll()
    End Function

    Public Shared Function SelectSingle(ByVal custid As String) As DataSet
        Return CustomerDALActions.SelectSingle(custid)
    End Function

End Class
