Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration

Public Class DatabaseHelper

    Private Shared connectionstring As String

    Shared Sub New()
        connectionstring = ConfigurationSettings.AppSettings("connectionstring")
    End Sub

    Public Shared Function ExecuteNonQuery(ByVal sql As String, ByVal params() As SqlParameter) As Integer
        Dim cnn As New SqlConnection(connectionstring)
        Dim cmd As New SqlCommand(sql, cnn)
        For i As Integer = 0 To params.Length - 1
            cmd.Parameters.Add(params(i))
        Next
        cnn.Open()
        Dim retval As Integer = cmd.ExecuteNonQuery()
        cnn.Close()
        Return retval
    End Function

    Public Shared Function ExecuteDataSet(ByVal sql As String) As DataSet
        Dim ds As New DataSet
        Dim da As New SqlDataAdapter(sql, connectionstring)
        da.Fill(ds)
        Return ds
    End Function

    Public Shared Function ExecuteScalar(ByVal sql As String, ByVal params() As SqlParameter) As Object
        Dim cnn As New SqlConnection(connectionstring)
        Dim cmd As New SqlCommand(sql, cnn)
        For i As Integer = 0 To params.Length - 1
            cmd.Parameters.Add(params(i))
        Next
        cnn.Open()
        Dim retval As Object = cmd.ExecuteScalar
        cnn.Close()
        Return retval
    End Function

    Public Shared Function ExecuteDataSet(ByVal sql As String, ByVal params() As SqlParameter) As DataSet
        Dim ds As New DataSet
        Dim da As New SqlDataAdapter(sql, connectionstring)
        For i As Integer = 0 To params.Length - 1
            da.SelectCommand.Parameters.Add(params(i))
        Next
        da.Fill(ds)
        Return ds
    End Function

End Class
